import { __name as e } from "./chunk-AGHRB4JF.js";
//#region ../../node_modules/mermaid/dist/chunks/mermaid.core/chunk-QZHKN3VN.mjs
var t = class {
	constructor(e) {
		this.init = e, this.records = this.init();
	}
	static {
		e(this, "ImperativeState");
	}
	reset() {
		this.records = this.init();
	}
};
//#endregion
export { t as ImperativeState };
